prboom-plus-game-server(6)

NAME
prboom-plus-game-server - Server for network games of PrBoom+.

SYNOPSIS
prboom-plus-game-server [ -adfnrv ] [ -e epis ] [ -l level ] [ -t ticdup ] [ -x xtics ] [ -p port ] [ -s skill ] [ -N players ] [ -c conffilename ] [ -w wadname[,dl_url ]]

DESCRIPTION

PrBoom is a version of the first-person shooter game Doom, originally released by iD software in 1993.

PrBoom+ is a Doom source port developed from the original PrBoom project. It includes, amongst other things, the ability to play with several players connected by a UDP network.

To start a network game (often abbreviated to `netgame'), first the server is started. prboom-plus-game-server accepts various parameters to control the type of game (the skill level, number of players, level to play, optional WAD file(s) to load, etc).

Then each player that wishes to participate runs prboom-plus -net hostname, where hostname is the name of the machine on which the server is running. Each copy of PrBoom+ retrieves information about the game from the server, and when the specified number of players have joined, the game begins.

OPTIONS

-N players
    Specifies the number of players in the game (default 2). The server will wait for this many players to join before starting the game.

-e epis
    The episode to play (default 1). Unless you are playing Doom 1 or The Ultimate Doom, and wish to play one of the later episodes, you do not need to change this.

-l level
    The level to play (default 1).

-s skill
    Specify the skill level to play (1-5).

-d  Set game mode to (old) deathmatch (default is cooperative). This is the original deathmatch mode where ammunition and power-ups do not respawn and weapons remain but can be picked up only once per player life, like in cooperative games.

-a  Set game mode to `altdeath' (called deathmatch v2.0 in the documentation) (default is cooperative) where most items picked up by players respawn after a while after being picked up. This also applies to weapons, which (unlike in normal deathmatch mode) also disappear for a while upon being pick up.

-f  Select fast mode (monsters move faster).

-n  Selects nomonsters mode, i.e. there are no monsters in the game.

-r  Respawn mode. If you don't know what this is, you don't want to ;-).

-c conffilename
    Specifies a configuration file to read which sets parameters for the game. This is in the same format as the PrBoom+ configuration file (in fact, you can ask it to read your normal PrBoom+ configuration file if you want). Only certain settings are acknowledged: default_skill, default_compatibility_level, the compatibility options and some of the game settings (use -v to have the server print the options as it recognises them).

-w wadname[,dl_url]
    Specifies a WAD file to play. This is added to the internal list that the server keeps. When a client connects, the server sends the list of WADs; PrBoom+ will then add this to the list of WADs specified on its command line. Optionally, an url to the file can be given too; if when PrBoom+ connects it cannot find the named WAD, it will attempt to retrieve the file from the given url, extracting it if necessary.

-t ticdup
    Reserved.

-x xtics
    This causes extra information to be sent with each network packet; this will help on networks with high packet loss, but will use more bandwidth.

-p port
    Tells prboom-plus-server what port number to communicate via (default 5030). Note that if you change this from the default, then all the clients will also need to specify this number when they try to connect (the default programmed into PrBoom+ is also 5030).

-v  Increases verbosity level; causes more diagnostics to be printed, the more times -v is specified.

SEE ALSO
prboom-plus(6), prboom-plus.cfg(5)

For more information, see the README that came with PrBoom+.

Doom is a registered trademark of id software (http://www.idsoftware.com/).

AUTHORS
See the file AUTHORS included with the PrBoom+ distribution. This man page was written by Colin Phipps (cph@moria.org.uk).